<?php
vc_map(
	array(
		'name'                    => esc_html__( 'Penci Product Tabs', 'soledad' ),
		'base'                    => 'penci_product_tabs',
		'as_parent'               => array( 'only' => 'penci_product_tab' ),
		'content_element'         => true,
		'show_settings_on_create' => true,
		'html_template'           => get_template_directory() . '/inc/js_composer/shortcodes/product_tabs/frontend.php',
		'category'                => esc_html__( 'Soledad', 'soledad' ),
		'description'             => esc_html__( 'Product tabs for your marketplace', 'soledad' ),
		'icon'                    => get_template_directory_uri() . '/images/vc-icon.png',
		'params'                  => array_merge( array(
			/**
			 * Title
			 */
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Tabs title', 'soledad' ),
				'param_name' => 'title',
			),
			/**
			 * Image
			 */
			array(
				'type'             => 'attach_image',
				'heading'          => esc_html__( 'Icon image', 'soledad' ),
				'param_name'       => 'image',
				'value'            => '',
				'hint'             => esc_html__( 'Select image from media library.', 'soledad' ),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),

			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Images size', 'soledad' ),
				'param_name'       => 'img_size',
				'hint'             => esc_html__( 'Enter image size. Example: \'thumbnail\', \'medium\', \'large\', \'full\' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \'thumbnail\' size.', 'soledad' ),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'description'      => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'soledad' ),
			),
			/**
			 * Style
			 */
			array(
				'type'             => 'colorpicker',
				'heading'          => esc_html__( 'Tabs color', 'soledad' ),
				'param_name'       => 'color',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type'             => 'dropdown',
				'heading'          => esc_html__( 'Design', 'soledad' ),
				'param_name'       => 'design',
				'value'            => array(
					esc_html__( 'Default', 'soledad' )     => 'default',
					esc_html__( 'Simple', 'soledad' )      => 'simple',
					esc_html__( 'Alternative', 'soledad' ) => 'alt',
				),
				'std'              => 'default',
				'edit_field_class' => 'vc_col-sm-6 vc_column title-align',
			),
			array(
				'type'             => 'dropdown',
				'heading'          => esc_html__( 'Alignment', 'soledad' ),
				'param_name'       => 'alignment',
				'value'            => array(
					esc_html__( 'Left', 'soledad' )   => 'left',
					esc_html__( 'Center', 'soledad' ) => 'center',
					esc_html__( 'Right', 'soledad' )  => 'right',
				),
				'dependency'       => array(
					'element' => 'design',
					'value'   => array( 'default' ),
				),
				'std'              => 'center',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Extra class name', 'soledad' ),
				'param_name'       => 'el_class',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'hint'             => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'soledad' ),
			),
		), penci_get_products_shortcode_style_params(), ),
		'js_view'                 => 'VcColumnView',
	)
);
