<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! class_exists( 'Penci_Social_Counter_Soundcloud_API' ) ):
	class Penci_Social_Counter_Soundcloud_API {
		public static function get_count( $data, $cache_period ) {

			$page_id      = preg_replace( '/\s+/', '', $data['name'] );
			$data['url']  = "https://soundcloud.com/$page_id";
			$data['icon'] = penci_icon_by_ver( 'fab fa-soundcloud' );

			$soundcloud_count = get_transient( 'penci_counter_soundcloud' . $page_id );
			$soundcloud_api   = penci_get_social_counter_option( 'soundcloud_api_key' );

			if ( ! $soundcloud_count && $soundcloud_api ) {
				try {
					$data  = @penci_remote_get( "http://api.soundcloud.com/users/$page_id.json?consumer_key=$soundcloud_api" );
					$count = (int) $data['followers_count'];
				} catch ( Exception $e ) {
					$count = 0;
				}
				set_transient( 'penci_counter_soundcloud' . $page_id, $count, $cache_period );
			} else {
				$count = $soundcloud_count;
			}

			if ( $count ) {
				$data['count'] = $count;
			}

			return $data;
		}
	}

endif;
